build.sh, version-gen.sh: Remove bashisms.
authorFlorian Forster <octo@leeloo.lan.home.verplant.org>
Sun, 12 Jul 2009 09:03:07 +0000 (11:03 +0200)
committerFlorian Forster <octo@leeloo.lan.home.verplant.org>
Sun, 12 Jul 2009 09:03:07 +0000 (11:03 +0200)
Thanks to Peter Bray for pointing them out.

build.sh
version-gen.sh

index 804b2e2..20854b1 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -6,7 +6,8 @@ check_for_application ()
 {
        for PROG in "$@"
        do
-               if ! which "$PROG" >/dev/null 2>&1; then
+               which "$PROG" >/dev/null 2>&1
+               if test $? -ne 0; then
                        cat >&2 <<EOF
 WARNING: \`$PROG' not found!
     Please make sure that \`$PROG' is installed and is in one of the
index 28ad3b2..4d1f2ed 100755 (executable)
@@ -2,13 +2,12 @@
 
 DEFAULT_VERSION="4.6.3.git"
 
-VERSION="$( git describe 2> /dev/null | sed -e 's/^collectd-//' )"
+VERSION="`git describe 2> /dev/null | sed -e 's/^collectd-//'`"
 
 if test -z "$VERSION"; then
        VERSION="$DEFAULT_VERSION"
 fi
 
-VERSION=$( echo "$VERSION" | sed -e 's/-/./g' )
-
-echo -n $VERSION
+VERSION="`echo \"$VERSION\" | sed -e 's/-/./g'`"
 
+echo -n "$VERSION"